---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetpotcaps001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3EF0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52220, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54160, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54550, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x554F0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55500, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51EA0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51EA4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51EA8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52000, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x520B8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x520BC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x520C0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x520C4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x520C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x520D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x520E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x520E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x520F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x520F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52100, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52108, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52150, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9524, offset: 0x9524, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2B90, symSize: 0x80 }
  - { offsetInCU: 0x95B9, offset: 0x95B9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2AE0, symSize: 0xB0 }
  - { offsetInCU: 0x9614, offset: 0x9614, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x29E0, symSize: 0x100 }
  - { offsetInCU: 0x98A7, offset: 0x98A7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2C10, symSize: 0xC0 }
  - { offsetInCU: 0x98F9, offset: 0x98F9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2CD0, symSize: 0x220 }
  - { offsetInCU: 0x9ADE, offset: 0x9ADE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2EF0, symSize: 0xA0 }
  - { offsetInCU: 0x9B91, offset: 0x9B91, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2F90, symSize: 0x110 }
  - { offsetInCU: 0x9C87, offset: 0x9C87, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x30A0, symSize: 0x150 }
  - { offsetInCU: 0x9DE4, offset: 0x9DE4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x31F0, symSize: 0x30 }
  - { offsetInCU: 0x9EA5, offset: 0x9EA5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3220, symSize: 0x150 }
  - { offsetInCU: 0xA09D, offset: 0xA09D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3370, symSize: 0x160 }
  - { offsetInCU: 0xA35D, offset: 0xA35D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x34D0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5D0, offset: 0xA5D0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3970, symSize: 0x1B0 }
  - { offsetInCU: 0xA7EB, offset: 0xA7EB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3B20, symSize: 0xA0 }
  - { offsetInCU: 0xA8BA, offset: 0xA8BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3BC0, symSize: 0x20 }
  - { offsetInCU: 0xA8F1, offset: 0xA8F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3BE0, symSize: 0x20 }
  - { offsetInCU: 0xA928, offset: 0xA928, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3C00, symSize: 0x20 }
  - { offsetInCU: 0xAA97, offset: 0xAA97, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3C20, symSize: 0x1A0 }
  - { offsetInCU: 0xADB3, offset: 0xADB3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3DC0, symSize: 0x130 }
  - { offsetInCU: 0xAF63, offset: 0xAF63, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4160, symSize: 0x1B0 }
  - { offsetInCU: 0xB252, offset: 0xB252, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4310, symSize: 0x80 }
  - { offsetInCU: 0xB31B, offset: 0xB31B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4390, symSize: 0x6A0 }
  - { offsetInCU: 0xBEB0, offset: 0xBEB0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA8E0, symBinAddr: 0x5E00, symSize: 0xB0 }
  - { offsetInCU: 0xBF27, offset: 0xBF27, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4A30, symSize: 0x70 }
  - { offsetInCU: 0xBFC3, offset: 0xBFC3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4AA0, symSize: 0xA0 }
  - { offsetInCU: 0xC0CE, offset: 0xC0CE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4B40, symSize: 0x40 }
  - { offsetInCU: 0xC1C4, offset: 0xC1C4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4B80, symSize: 0x2B0 }
  - { offsetInCU: 0xC56A, offset: 0xC56A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4E30, symSize: 0xC0 }
  - { offsetInCU: 0xC6B0, offset: 0xC6B0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4EF0, symSize: 0x10 }
  - { offsetInCU: 0xC772, offset: 0xC772, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4F00, symSize: 0x220 }
  - { offsetInCU: 0xCA6F, offset: 0xCA6F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5120, symSize: 0x10 }
  - { offsetInCU: 0xCACC, offset: 0xCACC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5130, symSize: 0x360 }
  - { offsetInCU: 0xCF60, offset: 0xCF60, size: 0x8, addend: 0x0, symName: __ZL17checkCapabilitiesP9_jvmtiEnvPKc, symObjAddr: 0x9FC0, symBinAddr: 0x54E0, symSize: 0x6E0 }
  - { offsetInCU: 0xD6FF, offset: 0xD6FF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F70, symBinAddr: 0x5490, symSize: 0x10 }
  - { offsetInCU: 0xD75C, offset: 0xD75C, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9F80, symBinAddr: 0x54A0, symSize: 0x40 }
  - { offsetInCU: 0xD882, offset: 0xD882, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xA6A0, symBinAddr: 0x5BC0, symSize: 0x1B0 }
  - { offsetInCU: 0xDABF, offset: 0xDABF, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA850, symBinAddr: 0x5D70, symSize: 0x90 }
  - { offsetInCU: 0xDB7F, offset: 0xDB7F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA990, symBinAddr: 0x5EB0, symSize: 0x36A }
...
